package com.muyu.vehicle;

public class MyThread implements Runnable {

    /**
     * 设置是否暂停
     */
    private volatile boolean isPaused;

    @Override
    public void run() {
        if (!isPaused){
            System.out.println(System.currentTimeMillis());
        }else {
            System.out.println("线程暂停");
        }
    }

    /**
     * 暂停线程
     */
    public void pause() {
        isPaused = true;
    }

    /**
     * 开始线程
     */
    public void resume() {
        isPaused = false;
        synchronized (this) {
            notify(); // 唤醒线程
        }
    }


}
